-- ABS-96961 / ABS-98350
UPDATE VERTEXTRANSACTIONLOG
SET TRANSACTIONTYPE = 'SALE'
WHERE TRANSACTIONTYPE NOT IN ('SALE','RENT');
COMMIT;

UPDATE VERTEXTRANSACTIONLOG
SET TRANSACTIONTYPE = 'RENTAL'
WHERE TRANSACTIONTYPE = 'RENT';
COMMIT;

ALTER TABLE VERTEXTRANSACTIONLOG DROP CONSTRAINT CHK_VERTEXLOG_TRANSTYPE;

ALTER TABLE VERTEXTRANSACTIONLOG ADD CONSTRAINT CHK_VERTEXLOG_TRANSTYPE CHECK (TRANSACTIONTYPE IN ('SALE','RENTAL'));

COMMENT ON COLUMN VERTEXTRANSACTIONLOG.TRANSACTIONTYPE IS 'Tax type of the invoice line (RENTAL or SALE)';